<template>
  <b-button
    v-b-modal.delete-build-modal
    variant="danger"
    v-show="me && me.groups.includes('MOD')"
  >
    <b-icon-trash />
    Delete

    <b-modal
      id="delete-build-modal"
      :title="`Delete ${this.build.tag}`"
      @ok="submit"
      ok-variant="danger"
    >
      <p>
        Are you sure you want to permanently delete <b>{{ build.tag }}</b
        >?
      </p>
      <p>This <b>can not</b> be undone!</p>
    </b-modal>
  </b-button>
</template>

<script>
import gql from "graphql-tag";

export default {
  name: "DeleteBuild",
  data() {
    return {
      me: {
        groups: []
      }
    };
  },
  apollo: {
    me: {
      query: gql`
        query {
          me {
            id
            name
            groups
            email
            joined
          }
        }
      `
    }
  },
  props: {
    build: Object
  },
  methods: {
    submit(e) {
      e.preventDefault();
      this.$apollo
        .mutate({
          mutation: gql`
            mutation($id: ID!) {
              deleteBuild(id: $id) {
                id
              }
            }
          `,
          variables: {
            id: this.build.id
          }
        })
        .finally(() => {
          window.location.href = "/";
        });
    }
  }
};
</script>
